Subject: comment on draft-gundavelli-v6ops-l2-unicast

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Mon, 26 Jul 2010 13:49:17 -0500

One outright comment I have first if why not send a unicast RA rather
than sending an RA in an IPv6 packet with destination as L3 multicast
but the L2 is a unicast destination.   Also, if this proposal has to go
through, the test performed are insufficient.   Test MLDv2 multicast
with this proposal and publish results where CAM in network hardware is
going to sniff 3333.xxxx.xxxx for MLDv2 control.  Other hardware
accelerated router platforms should also be tested for such a proposal
to see what works for send and receive of such doctored packets.

Lastly, it would be good to give very copious details on the
architecture when such statements are made in the document:

[It is up to the system architecture as when to transmit an IPv6
multicast message as an link-layer unicast message.]

Which IPv6 deployment architecture has been accepted and published that
caters to such a proposal for changing the L2 of a L3 multicast destined
packet.

Hemant